{% extends "dashboard/dashboard_content.html" %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>
{% endblock %}

{% block rightPane %}
    {% if perms.curriculum.can_create_semester_plan %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="fi-clipboard-pencil"></i>
                    Current Semester Plan
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="row">
                    <ul class="nav nav-tabs bar_tabs" id="nav_tabs">
                        {% for batch in batches %}
                            {% if forloop.counter == 1 %}
                                <li class="active">
                                    <a aria-expanded="true"
                                       id={{ batch.programme }}-{{ batch.start_year }}-{{ batch.end_year }}-{{ batch.batch_obj }}
                                       data-toggle="tab" name="batch_tab">
                                        {{ batch.display_text }}
                                    </a>
                                </li>
                            {% else %}
                                <li class="">
                                    <a aria-expanded="false"
                                       id={{ batch.programme }}-{{ batch.start_year }}-{{ batch.end_year }}-{{ batch.batch_obj }}
                                       data-toggle="tab" name="batch_tab">
                                        {{ batch.display_text }}
                                    </a>
                                </li>
                            {% endif %}
                        {% endfor %}
                    </ul>
                    <br>
                    <br>
                    <div class="tab-content">
                        {% if semester_plan_form %}
                            <div role="tabpanel">
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <form method="POST" class="form-horizontal" id="create_semester">
                                        {% csrf_token %}
                                        {% for field in semester_plan_form %}
                                            <div class="form-group {% if field.errors %} has-error{% endif %}">
                                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                                       id={{ field.id_for_label }}>{{ field.label }}</label>
                                                <div class="col-md-5 col-sm-6 col-xs-12">
                                                    {{ field }}
                                                    {% for error in field.errors %}
                                                        <span class="help-block">
                                                    {{ error|escape }}
                                                </span>
                                                    {% endfor %}
                                                </div>
                                            </div>
                                        {% endfor %}
                                        <div class="form-group">
                                            <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                                                1 Starting Date</label>
                                            <div class="col-md-5 col-sm-6 col-xs-12">
                                                <input type="text" id="sd1" placeholder="Click to choose a date"
                                                       name="start_term_1" class="form-control">
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                                                1 Ending Date</label>
                                            <div class="col-md-5 col-sm-6 col-xs-12">
                                                <input type="text" id="ed1" placeholder="Click to choose a date"
                                                       name="end_term_1" class="form-control">
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                                                2 Starting Date</label>
                                            <div class="col-md-5 col-sm-6 col-xs-12">
                                                <input type="text" id="sd2" placeholder="Click to choose a date"
                                                       name="start_term_2" class="form-control">
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                                                2 Ending Date</label>
                                            <div class="col-md-5 col-sm-6 col-xs-12">
                                                <input type="text" id="ed2" placeholder="Click to choose a date"
                                                       name="end_term_2" class="form-control">
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                                                3 Starting Date</label>
                                            <div class="col-md-5 col-sm-6 col-xs-12">
                                                <input type="text" id="sd3" placeholder="Click to choose a date"
                                                       name="start_term_3" class="form-control">
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                                                3 Ending Date</label>
                                            <div class="col-md-5 col-sm-6 col-xs-12">
                                                <input type="text" id="ed3" placeholder="Click to choose a date"
                                                       name="end_term_3" class="form-control">
                                            </div>
                                        </div>

                                        <div class="col-sm-2 col-sm-offset-5">
                                            <button class="save btn btn-lg btn-success" name="semester_plan"
                                                    value="semester_plan" id="reg_btn">Submit
                                            </button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    {% endif %}
    <script type="text/javascript">
        $("#nav_tabs").tabCollapse();
    </script>

    <script type="text/javascript">
        $(function () {
            $('#sd1').daterangepicker({
                singleDatePicker: true,
                calender_style: "picker_3",
                locale: {
                    format: 'DD/MM/YYYY'
                }
            });
            $('#sd2').daterangepicker({
                singleDatePicker: true,
                calender_style: "picker_3",
                locale: {
                    format: 'DD/MM/YYYY'
                }
            });
            $('#sd3').daterangepicker({
                singleDatePicker: true,
                calender_style: "picker_3",
                locale: {
                    format: 'DD/MM/YYYY'
                }
            });
            $('#ed1').daterangepicker({
                singleDatePicker: true,
                calender_style: "picker_3",
                locale: {
                    format: 'DD/MM/YYYY'
                }
            });
            $('#ed2').daterangepicker({
                singleDatePicker: true,
                calender_style: "picker_3",
                locale: {
                    format: 'DD/MM/YYYY'
                }
            });
            $('#ed3').daterangepicker({
                singleDatePicker: true,
                calender_style: "picker_3",
                locale: {
                    format: 'DD/MM/YYYY'
                }
            });
        });
    </script>

    <script type="text/javascript">

        var selectbox = $('[name="faculty_advisor"]').select2({
            maximumSelectionLength: 3
        });

        var current_active_batch;
        //For getting CSRF token
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="batch_tab"]').click(function () {
                var id = this.id;
                var dataArray = id.split('-');
                current_active_batch = dataArray[3];
                //alert(dataArray);
                $.ajax({
                    url: '{% url 'current_fa' %}',
                    type: 'POST',
                    data: {
                        csrfmiddlewaretoken: getCookie('csrftoken'),
                        programme: dataArray[0],
                        start_year: dataArray[1],
                        end_year: dataArray[2],
                    },
                    success: function (data)//we got the response
                    {
                        //alert('success');
                        //alert(data['list']);
                        selectbox.val(data['list']).trigger("change");
                        $('#sd1').val(data['start_term_1']);
                        $('#sd2').val(data['start_term_2']);
                        $('#sd3').val(data['start_term_3']);
                        $('#ed1').val(data['end_term_1']);
                        $('#ed2').val(data['end_term_2']);
                        $('#ed3').val(data['end_term_3']);
                    },
                    error: function (exception) {
                        alert('Exeption:' + exception);
                    }
                });
            });
        });
    </script>



    <script type="text/javascript">
        $('document').ready(function () {
            $($('a[name="batch_tab"]')[0]).click(function () {
                //alert('im called 2');
                this._click;
                //alert('im called 3');
            }).click();
        });
    </script>

    <script type="text/javascript">
        $("#reg_btn").click(function () {
            var $hiddenInput = $('<input/>', {type: 'hidden', value: current_active_batch, name: 'batch'});
            $hiddenInput.appendTo('form');
        });
    </script>
{% endblock %}